public class AnArrayDeFichas {
    public static void main(String[] args) {
        Ficha[] arrayFichas = new Ficha[5];
        arrayFichas[1] = new Ficha(6,6);
        arrayFichas[3] = new Ficha(2,3);
        System.out.print("arrayInts con for clasico: \t");
        for (int i = 0; i < arrayFichas.length; i++) {
            System.out.print(arrayFichas[i] + ", ");
        }
        System.out.println();
        System.out.print("arrayInts con foreach:     \t");
        for (Ficha f : arrayFichas) {
            System.out.print(f + ", ");
        }
        System.out.println();
        System.out.print("Ficha[0]:                  \t");
        System.out.println(arrayFichas[0]); // imprime null
        // System.out.println(arrayFichas[-1]); // Exception!
        System.out.println(arrayFichas[5]); // Exception!
    }
}
